.skyline_property_card {
  display: flex;
  gap: 18px;
  padding: 8px;
  box-shadow: 0px 0px 6px #00000008;
  border: 1px solid #000000;
  border-radius: 12px;
  margin-bottom: 18px;
}

.skyline_property_card .property_image_wrapper {
  position: relative;
  width: 240px;
  flex-shrink: 0;
  height: 240px;
  overflow: hidden;
  border-radius: 14px;
  z-index: 0;
}

.skyline_property_card .property_swiper {
  width: 100%;
  height: 100%;
  position: relative;
}

.skyline_property_card .property_image {
  width: 100%;
  height: 100%;

  object-fit: cover;

  border-radius: 8px;
}

.skyline_property_card .property_badge {
  position: absolute;
  top: 8px;
  left: 12px;
  z-index: 10;
  padding: 3px 10px;
  border-radius: 5px;
  background: #ae21f3;
  color: #ffffff;
  font-size: 11px;
  font-weight: 600;
}

.skyline_property_card .photo_count {
  /* position: absolute; */
  /* bottom: 12px; */
  /* left: 12px; */
  z-index: 10;
  padding: 2px 5px;
  border-radius: 4px;
  background: rgba(0, 0, 0, 0.7);
  color: #ffffff;
  font-size: 13px;
  width: fit-content;
  margin-bottom: 4px;
}

.skyline_property_card .property_card_content {
  flex: 1;
}

.skyline_property_card .property_top_row {
  display: flex;
  justify-content: space-between;

  gap: 20px;
}

.skyline_property_card .price_row {
  display: flex;
  align-items: center;
  gap: 10px;

  margin-bottom: 5px;
}

.skyline_property_card .price_row .price {
  margin: 0;

  font-size: 24px;
  font-weight: 700;
}

.skyline_property_card .price_row .sale {
  padding: 2px 10px;
  border-radius: 6px;
  background: #cbefff;
  color: #27a8e0;
  font-size: 12px;
  font-weight: 600;
}

.skyline_property_card .property_card_content .title-name {
  margin-bottom: 0px;
  font-size: 20px;
  font-weight: 700;
  max-width: 290px;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.skyline_property_card .location_row {
  display: flex;
  align-items: center;
  gap: 3px;
}

.skyline_property_card .address-row {
  display: flex;
  align-items: center;
  gap: 10px;
}

.skyline_property_card .location_row .location-text {
  margin: 0;
  font-size: 15px;
  width: 180px;
  line-height: 1.2;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.skyline_property_card .posted_by .title {
  margin-bottom: 0px;

  font-size: 12px;
}

.skyline_property_card .posted_by .name {
  margin: 0;
  text-align: right;
  font-size: 16px;
  font-weight: 600;
}

.skyline_property_card .property_tags {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-top: 18px;
}

.skyline_property_card .property_tags .tag {
  padding: 5px 12px;
  font-weight: 500;
  border-radius: 6px;
  background: #f5f5f5;
  color: #808080;
  font-size: 13px;
}

.skyline_property_card .property_features {
  display: flex;
  flex-wrap: wrap;
  gap: 5px 10px;
  margin-top: 10px;
  background: #f5f5f5;
  padding: 10px;
  border-radius: 5px;
}

.skyline_property_card .feature_item {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 13px;
  border-right: 2px solid #808080;
  padding-right: 10px;
}

.skyline_property_card .feature_item .info {
  margin: 0;
}

.skyline_property_card .property_button_row {
  display: flex;
  gap: 14px;

  margin-top: 22px;
}

.skyline_property_card .property_button_row .common_view_btn {
  width: 140px;
}

.skyline_property_card .property_swiper {
  position: relative;
}

.skyline_property_card .nav-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  width: 25px;
  height: 25px;
  border: none;
  border-radius: 50%;
  background: #000000;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: 0.3s ease;
}

.skyline_property_card .nav-btn:hover {
  background: #1f2937;
}

.skyline_property_card .property-prev {
  left: 10px;
}

.skyline_property_card .property-next {
  right: 10px;
}
@media (min-width: 992px) and (max-width: 1399px) {
  .skyline_property_card .property_card_content .title-name {
    font-size: 18px;
    width: 200px;
  }
  .skyline_property_card .location_row .location-text {
    font-size: 14px;
    width: 152px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .skyline_property_card .property_card_content .title-name {
    font-size: 14px;
    width: 150px;
  }

  .skyline_property_card .location_row .location-text {
    font-size: 13px;
    width: 123px;
  }

  .skyline_property_card .price_row .price {
    font-size: 20px;
  }

  .skyline_property_card .property_image_wrapper {
    width: 205px;
    height: 230px;
  }

  .skyline_property_card .feature_item {
    font-size: 12px;
  }

  .skyline_property_card .property_tags .tag {
    font-size: 12px;
  }

  .property-list-section .property_results_header .map_btn {
    font-size: 15px;
  }

  .skyline_property_card .posted_by .title {
    font-size: 11px;
  }

  .skyline_property_card .posted_by .name {
    font-size: 15px;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .skyline_property_card .property_card_content .title-name {
    font-size: 18px;
    width: 160px;
  }
  .skyline_property_card .location_row .location-text {
    font-size: 14px;
    width: 150px;
  }
}

@media (min-width: 0px) and (max-width: 767.98px) {
  .skyline_property_card {
    flex-direction: column;
  }

  .skyline_property_card .property_image_wrapper {
    width: 100%;
  }

  .skyline_property_card .price_row .price {
    font-size: 21px;
  }

  .skyline_property_card .property_card_content .title-name {
    font-size: 16px;
    width: 190px;
  }

  .skyline_property_card .location_row .location-text {
    font-size: 14px;
  }

  .skyline_property_card .posted_by .title {
    margin-bottom: 0px;
    font-size: 12px;
  }

  .skyline_property_card .property_button_row .common_view_btn {
    width: 100%;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .skyline_property_card .property_image_wrapper {
    height: 190px;
  }

  .skyline_property_card .property_card_content .title-name {
    font-size: 14px;
    width: 100%;
  }

  .skyline_property_card .address-row {
    align-items: start;
    gap: 5px;
    flex-direction: column;
  }

  .skyline_property_card .location_row .location-text {
    font-size: 13px;
    width: 100%;
  }

  .skyline_property_card .posted_by .title {
    font-size: 11px;
    white-space: nowrap;
  }

  .skyline_property_card .posted_by .name {
    font-size: 15px;
  }

  .skyline_property_card .price_row .price {
    font-size: 16px;
  }

  .skyline_property_card .property_tags {
    gap: 5px;
    margin-top: 8px;
  }

  .skyline_property_card .property_tags .tag {
    padding: 3px 9px;
    font-size: 12px;
  }

  .skyline_property_card .feature_item {
    font-size: 12px;
  }

  .skyline_property_card .property_button_row {
    margin-top: 14px;
  }
}
.property_image_wrapper {
  position: relative;
  overflow: hidden;
}

.property_thumb_wrapper {
  position: absolute;
  left: 5px;
  right: 5px;
  bottom: 7px;
  z-index: 20;
}

.skyline_property_card .custom_checkbox input {
  width: 22px;
  height: 22px;
  cursor: pointer;
  box-shadow: inset 0px 0px 6px #00000029 !important;
  border: 1px solid #27a8e0 !important;
}
.skyline_property_card .custom_checkbox input:checked {
  background-color: #27a8e0;
  border-color: #27a8e0;
  color: #ffffff;
}
.skyline_property_card .custom_checkbox input:focus {
  box-shadow: none !important;
  border-color: #27a8e0 !important;
}

.property_thumb_image {
  width: 100%;
  height: 35px;
  object-fit: cover;
  border-radius: 3px;
  /* border: 0.5px solid #fff; */
}

.property_thumb_swiper {
  overflow: hidden;
}
